/*
* @Author: Rot
* @Date:   2017-10-14 13:43:43
* @Last Modified by:   Rot
* @Last Modified time: 2017-12-21 18:04:47
*/
main { padding-top: 32px; }
ge-user, ge-article a { display: block; }
a { display: inline-block; }
.ge-main-top { margin-top: 32px;  }
.article-item {
    border-bottom: 1px solid var(--ge-primary-border-color);
    background-color: #FFFFFF;
    background-clip: padding-box;
}
.article-item:last-child { border-bottom: 0; }
header.ge-width-auto { max-width: var(--ge-main-small-width); }
ge-user .ge-bottom-4 + div { margin-left: 0; }
.ge-search-width {
    max-width: var(--ge-main-small-width);
    margin: 0 auto;
}
.ge-margin { margin-bottom: 16px; padding-top: 8px; }
.ge-read-more { font-size: 12.5px; color: var(--ge-primary-text-color); padding-top: 8px; padding-bottom: 6px; display: inline-block;}
.ge-claps {
    padding-top: 8px;
    display: block;
    fill: var(--ge-primary-color);
}
.no-grid {
    float: none;
    padding: 0; 
    margin: 0;
}
.no-grid > div {
    width: var(--ge-article-search-width);
}
.no-grid ge-real {
    height: 242px;
    display: block;
}
.no-grid .ge-space {
    padding-top: 16px;
    padding-bottom: 24px;
}
.no-grid .article-info {
    padding-bottom: 0;
}
.no-grid .article-title {
    margin-top: 16px;
    max-height: 54px;
    overflow: hidden;
    display: block;
}

.no-grid .article-description {
    line-height: 1.4;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    padding-top: 8px;
    color: var(--ge-primary-text-color);
}

ge-image { position: relative; overflow: hidden; margin-top: 15px;}
.ge-padding1 { padding-top: 1px; }
.no-grid .height-mode-z {
    -webkit-line-clamp: 2;
}
.no-grid .height-mode-th {
    -webkit-line-clamp: 1;
}
.ge-response {
    color: var(--ge-primary-text-color);
}
.ge-tag-dot + a { display: inline-block; }
.ge-article-tags { margin-top: 15px; }
.ge-text-color:hover { color: var(--ge-primary-color); }
.ge-response button { padding-top: 9px; padding-bottom: 9px;  }
.ge-article-option {fill: var(--ge-primary-text-color);}

/**
 * User
 */
.user-wrapper {
    background-color: #FFFFFF;
    padding-top: 12px;
    padding-bottom: 12px;
    border-bottom: 1px solid white;
}
.user-wrapper:last-child {
    border-bottom: 0;
}
.user-wrapper ge-user {
    padding: 0;
    height: initial;
}
.user-width {
    max-width: var(--ge-user-width);
}
.user-width > div:last-child {
    vertical-align: middle;
}
.user-width .ge-avatar-radius  {
    position: relative; width: 58px; height: 58px; top: 0; left: 0;
}
.ge-avatar-radius {
    border-radius: 100%;
}
.table-cell {
    display: table-cell;
}
.ge-follow {
    border: 1px solid var(--ge-primary-button-color);
    color: var(--ge-primary-button-color);
    font-family: var(--ge-text-font);
    min-width: 102px;
    padding: 8px 16px;
    border-radius: 6px;
    transition: background-color .3s !important;
}
.ge-follow:hover {
    background-color: var(--ge-background-button-light-color);
}
.ge-following {
    background-color: var(--ge-background-button-color);
    color: white;
}
.ge-following:hover {
    background-color: var(--ge-primary-color);
}
.ge-text {
    font-family: var(--ge-text-font);
    color: var(--ge-primary-text-dark-color);
}
.search-bar-title {
    background-color: white;
    padding-top: 15px;
    padding-bottom: 15px;
    border-top: 1px solid var(--ge-primary-border-color);
}
.search-bar-title span {
    text-transform: uppercase;
    color: var(--ge-primary-text-dark-color);
}
.ge-top-16 { padding-top: 16px; }

ge-user .ge-text {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}
ge-user .ge-inline {
	padding-right: 12px;
}

.ge-left-16 { padding-left: 16px; }

.ge-tags {
    background-color: white;
    padding-bottom: 12px;
    max-width: var(--ge-user-width);
}

.ge-tags a {
    display: inline-block;
}
.ge-tags .search-bar-title {
    padding-left: 0;
}
.ge-tag-dot {
    position: relative;
    bottom: 3px;
    display: inline-block;
    padding: 0 2px;
    color: var(--ge-primary-text-dark-color);
}
.ge-tag {
    color: var(--ge-primary-color);
}
.tag-item {
    display: inline-block;
    margin-bottom: 8px;
}
